## kernel-image-2.2.20-reiserfs-i386 2.2.20-4

=== debian/changelog ===
kernel-image-2.2.20-reiserfs-i386 (2.2.20-4) unstable; urgency=low

  * Built against kernel-source 2.2.20-3 and
    kernel-patch 2.2.19-reiserfs 3.5.34-2.
  * Uses kernel-package 7.81
  * removed kludge to delete spurious ~ files after patching

 -- John H. Robinson, IV <jaqque@debian.org>  Tue, 15 Jan 2002 15:35:54 -0800

kernel-image-2.2.20-reiserfs-i386 (2.2.20-3) unstable; urgency=low

  * Added framebuffer support (closes: Bug#122475)
  * Built against kernel-source 2.2.20-2 and
    kernel-patch 2.2.19-reiserfs 3.5.34-2.

 -- John H. Robinson, IV <jaqque@debian.org>  Tue,  4 Dec 2001 21:26:50 -0800

kernel-image-2.2.20-reiserfs-i386 (2.2.20-2) unstable; urgency=low

  * Now generate available modules along with the kernel-image

 -- John H. Robinson, IV <jaqque@debian.org>  Mon, 19 Nov 2001 20:58:12 -0800

kernel-image-2.2.20-reiserfs-i386 (2.2.20-1) unstable; urgency=low

  * New upstream release.
  * Worked around backup files after patching.
  * Built against kernel-source 2.2.20-2 and
    kernel-patch 2.2.19-reiserfs 3.5.34-1.

 -- John H. Robinson, IV <jaqque@debian.org>  Thu,  8 Nov 2001 22:09:11 -0800

kernel-image-2.2.19-reiserfs-i386 (2.2.19-5) unstable; urgency=low

  * Built against kernel-source 2.2.19.1-1 and
    kernel-patch 2.2.19-reiserfs 3.5.34-1

 -- John H. Robinson, IV <jaqque@debian.org>  Sat, 27 Oct 2001 20:59:19 -0700

kernel-image-2.2.19-reiserfs-i386 (2.2.19-4) unstable; urgency=high

  * NMU, security related, Closes: #116382
  * Depending on fixed kernel-source 2.2.19.1

 -- Eduard Bloch <blade@debian.org>  Sat, 20 Oct 2001 20:28:44 +0200

kernel-image-2.2.19-reiserfs-i386 (2.2.19-3) unstable; urgency=low

  * Unset PCI_QUIRKS (closes: Bug#113397)
  * Added APM and Toshiba support
  * Removed a lot of SCSI drivers, to match -compact flavour
  * Built against kernel-source 2.2.19-8 and 
    kernel-patch 2.2.19-reiserfs 3.5.32-2

 -- John H. Robinson, IV <jaqque@debian.org>  Fri,  5 Oct 2001 15:25:28 -0700

kernel-image-2.2.19-reiserfs-i386 (2.2.19-2) unstable; urgency=low

  * Built against kernel-source 2.2.19-7 and 
    kernel-patch 2.2.19-reiserfs 3.5.32-2
  * Enabled SERIAL_MANY_PORTS
  * Enabled IDESCSI as a module
  * Enabled PRINTER as a module

 -- John H. Robinson, IV <jaqque@debian.org>  Thu,  6 Sep 2001 17:46:12 -0700

kernel-image-2.2.19-reiserfs-i386 (2.2.19-1) unstable; urgency=high

  * Initial kernel release (closes: Bug#103019)
  * Built against kernel-source 2.2.19-6.

 -- John H. Robinson, IV <jaqque@debian.org>  Mon,  2 Jul 2001 22:44:54 -0700
