=== debian/control ===
Source: kernel-image-2.2.20-reiserfs-i386
Section: devel
Priority: optional
Maintainer: John H. Robinson, IV <jaqque@debian.org>
Standards-Version: 3.5.4
Build-Depends: bin86, debhelper, gcc272, modutils, kernel-source-2.2.20 (>= 2.2.20-2), kernel-package (>= 7.41), kernel-patch-2.2.19-reiserfs (>= 3.5.34-1), tar (>= 1.13.18)

Package: kernel-headers-2.2.20-reiserfs
Architecture: any
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.2
Description: Header files related to Linux kernel version 2.2.20
 This package provides kernel header files for version 2.2.20, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.2.20/debian.README.gz for details

Package: kernel-image-2.2.20-reiserfs
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image
Depends: fileutils (>= 4.0)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.2.20
Description: Linux kernel binary image for version 2.2.20.
 This package contains the Linux kernel image for version 2.2.20,
 the corresponding System.map file, and the modules built by the
 packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
