=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-image-*-i386
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2001 Herbert Xu <herbert@debian.org>
# Copyright (c) 2001 John H. Robinson, IV <jaqque@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

SHELL := sh -e

kmods := alsa-driver-0.4.tar.gz alsa-driver-0.5.tar.gz alsa-driver.tar.gz \
arla.tar.gz bcm5700.tar.gz cipe.tar.gz device3dfx.tar.gz e100.tar.gz \
hubcot.tar.gz i2c.tar.gz ibcs-2.2.tar.gz lirc-modules.tar.gz \
lm-sensors.tar.gz openafs.tar.gz pcmcia-cs.tar.gz qce-modules.tar.gz \
userlink-source.tar.gz

version := $(shell \
	head -1 debian/changelog | \
	sed 's/^kernel-image-\([^-]*\)-.*i386.*$$/\1/' \
)
versionscore := $(shell \
	echo $(version) | sed 's/\./_/g' \
)
# FIXME - remove this when a real reiserfs patch is made for 2.2.20
versionscore := 2_2_19
flavour := reiserfs

unpack: unpack-stamp
unpack-stamp:
	tar jxf /usr/src/kernel-source-$(version).tar.bz2
	-for i in ${kmods} ; do [ -f /usr/src/$$i ] && \
		tar zxf /usr/src/$$i ; done
	mkdir kernel-source-$(version)/debian
	cp debian/changelog kernel-source-$(version)/debian
	cp debian/control kernel-source-$(version)/debian
	:> kernel-source-$(version)/debian/official
	#cp -al kernel-source-$(version) build-$(flavour)
	mv kernel-source-$(version) build-$(flavour)
	cp debian/config build-$(flavour)/.config
	cd build-$(flavour); \
		/usr/src/kernel-patches/all/apply/reiserfs-$(versionscore)
	touch unpack-stamp

build: build-stamp
build-stamp: unpack-stamp
	cd build-$(flavour); \
		make-kpkg --append_to_version -$(flavour) build

	touch build-stamp

clean:
	rm -f unpack-stamp build-stamp install-stamp
	rm -rf kernel-source-$(version) build-* install-* modules
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_clean -k
	dh_installdirs

	touch install-stamp

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build
	cp -al build-$(flavour) install-$(flavour)
	cd install-$(flavour); \
		make-kpkg --append_to_version -$(flavour) kernel-headers; \
		make-kpkg --append_to_version -$(flavour) kernel-image; \
		MODULE_LOC=`pwd`/../modules make-kpkg --append_to_version -$(flavour) --us --uc modules;
	mv install-$(flavour)/debian/files debian 
	#cat modules/pcmcia-cs/debian/files >> debian/files
	rm -rf install-$(flavour)
	-mv *.deb *.changes ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpack
