## kernel-image-2.2.20-reiserfs-i386 2.2.20-4woody1

=== debian/changelog ===
kernel-image-2.2.20-reiserfs-i386 (2.2.20-4woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Built against kernel-source-2.2.20 2.2.20-5woody3 to include the patch
    extracted from upstream 2.2.26 to fix local privilege escalation
    discovered by Paul Starzetz (CAN-2004-0077)

 -- Martin Schulze <joey@infodrom.org>  Thu, 26 Feb 2004 19:44:23 +0100
