=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: John H. Robinson, IV <jaqque@debian.org>
 Standards-Version: 3.5.4
-Build-Depends: bin86, debhelper, gcc272, modutils, kernel-source-2.2.20 (>= 2.2.20-2), kernel-package (>= 7.41), kernel-patch-2.2.19-reiserfs (>= 3.5.34-1), tar (>= 1.13.18)
+Build-Depends: bin86, debhelper, gcc272, modutils, kernel-source-2.2.20 (>= 2.2.20-5woody5), kernel-package (>= 7.41), kernel-patch-2.2.19-reiserfs (>= 3.5.34-1), tar (>= 1.13.18)
 
 Package: kernel-headers-2.2.20-reiserfs
 Architecture: any
